<?php 
require_once(dirname(dirname(__FILE__))."/funcoes.php");
protegeArquivo(basename(__FILE__));
loadJS('jquery-validate');
loadJS('jquery-validate-messages');
$objetocalculo=new calculos();
$sessao = new sessao();
$amostraLong=$sessao->getVar('amostraLong');
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$nomeOperador=$sessao->getVar('nomeuser');
$finalidade=$sessao->getVar('finalidade');
//echo("Operador: $nomeOperador idlabo=$idLabo tela=$tela<br>");
//vai capturar a ida da ultima amostrs 
//quando ele entrar aqui ele ja vai ler o numero da amostra a partir de uma session 
//vai ter um modulo perfeito onde ele vai selecionar amostra
//prieira ultima segunte anterior, aleatoria ao localizar vai voltar para o edit trazendo o numero da amostra na session 

if($amostraLong>0)
{
	//echo "nao nulo<br>";
	$userAmostra = new amostras();
    $userAmostra->extras_select =  " where fic_id=".$amostraLong;
    $userAmostra->selecionaCampos($userAmostra);
    while ($resAmostra = $userAmostra->retornaDados()):
        $amostraLong=$resAmostra->fic_id;
        $idCultivar=$resAmostra->fic_cultivar;
        $idProdutor=$resAmostra->fic_produtor;
        $idAmostrador=$resAmostra->fic_amostrador;
        $ultima=$resAmostra->fic_amostra;
    endwhile;		
	$sessao->setVar('amostraLong', $amostraLong);
	$sessao->setVar('idCultivar',$idCultivar);
	$sessao->setVar('idProdutor',$idProdutor);
	$sessao->setVar('idAmostrador',$idAmostrador);
	$sessao->setVar('ultima',$ultima);
}
else
{
     $amostraLong=$objetocalculo->achaUltima();
	 $idCultivar=$sessao->getVar($idCultivar);
	 $idProdutor=$sessao->getVar($idProdutor);
	 $idAmostrador=$sessao->getVar($idAmostrador);
}



	

//echo("Operador: $nomeOperador idlabo=$idLabo tela=$tela<br>");
switch ($tela):
    case 'editar':
	
      //setor achar significa poder ir para outra amostra
  	 		 if (post('acharDigitada') !== "" || post('acharAvanca') !== ""  || post('acharRecua') !== "" || post('acharUltima') !== ""):
			   	$registro=post('amostra');//se clica em achar digitada ja pega daqui
              	if(post('acharAvanca') !== "")$acao='avanca';
              	if(post('acharRecua') !== "")$acao='recua';
              	if(post('acharUltima') !== "")$acao='ultima';
	            $amostraLong=$objetocalculo->AchaIdAmostra2016($registro,$acao);
		   endif;//fecha o if que acha ammostras pelo avanca-recua ou ultima

		
		if(post('bt_laudo') !== ""):
          $objetivoAnalise=post('objetivoAnalise');		
          $metodoUtilizado=post('metodoUtilizado');		
          $obs1=post('obs1');		
          $obs2=post('obs2');		
          $obs3=post('obs3');		
          $sessao->setVar('controle',$objetivoAnalise); 		
          $sessao->setVar('controle1',$metodoUtilizado); 		
          $sessao->setVar('controle2',$obs1); 		
          $sessao->setVar('controle3',$obs2); 		
          $sessao->setVar('controle4',$obs3); 		
		
          echo '<iframe src="imprimelaudoFitopatologia1.php" style="border:0" width="100%" height="350"></iframe>';	 //funciona  
	   endif;
		
		
		
		
		//echo("ooooooo outra $amostraLonga= $amostraLong  <br>");
	    //////vai capturar os dados da amostra////////////////
	    $concluirCalculo="SIM";
	    //ENTRA DE QUAKQUER MANEIRA
 	 	$generica=new tabelagenerica();
		$generica->tabela="especies, ficha,cultivar";
		$generica->campos_valores = array(
				"fic_lote" => NULL,
				"fic_amostra" => NULL,
				"esp_nome" => NULL,
				"esp_id" => NULL,
			);
		$generica->extras_select =" where  fic_cultivar=ctv_id &&  esp_id=ctv_especie &&  fic_id=" . $amostraLong;
	    $generica->selecionaCampos($generica);
		while ($resgenerica = $generica->retornaDados()):
			$lote=$resgenerica->fic_lote;
			$amostra=$resgenerica->fic_amostra;
			$especie=$resgenerica->esp_nome;
			$codEspecie=$resgenerica->esp_id;
	    endwhile;

        //vai pegar lista de patogenos desta especie
 			 //ENTRA DE QUAKQUER MANEIRA
		 	 	$generica=new tabelagenerica();
				$generica->tabela="listapatogenoespecie,listapatogenos";
				$generica->campos_valores = array(
						"lip_id" => NULL,
						"lip_nome_cientifico" => NULL,
					);
				$generica->extras_select =" where lpe_patogeno_id=lip_id and lpe_especie_id=".$codEspecie." order by lip_nome_cientifico";
			    $generica->selecionaCampos($generica);
				$contaPatogenos=0;
				while ($resgenerica = $generica->retornaDados()):
				    $contaPatogenos++;
                    $vetorPatogenos[$contaPatogenos]=$resgenerica->lip_nome_cientifico.'#'.$resgenerica->lip_id.':';
					
			    endwhile;			 

      if (post('bt_salvar') !== ""):
		 $patogenoLido=post('patogeno');
 		 $valor=post('valor');
         if(strlen($valor)>0):
             $gravar="SIM";		 
         else:  
		     printMSG('Preencha o campo QUANTIDADE LIDA com um valor numérico, pode ser inclusive zero, caso contrário nao haverá gravação!','erro');
             $gravar="NAO";		 
		 endif;
         $valor=$valor*1;


         if(substr($patogenoLido,0,10)=='Selecione '):
		     printMSG('Clique no nome do patógeno!','erro');
             $gravar="NAO";		 
		 endif;

         if($gravar=='SIM'):
	         list($patogeno,$idPatogeno)=explode("#",$patogenoLido);
			 //echo ("esta no bt_salvar codepatogeno= $idPatogeno valor=$valor  amostraLong=$amostraLong<br> ");	
			 $nomeOperador=substr($nomeOperador,0,15);
			 $sql="insert into listapatogenosamostra(lpa_id_patogeno,lpa_id_amostra,lpa_valor,lpa_operador)";
		     $sql.="values('$idPatogeno','$amostraLong','$valor','$nomeOperador')";
		     $userNota = new generica();
		     $userNota->campos_valores = $sql;				 
			 $userNota->inserirEspecial($userNota);	
			 printMSG('Gravação ok!','erro');		 
         endif;		 
      else:
	       //tive que colocar aqui dentro pois ele ao salvar registro entrava toda vez no deletar 
	  	   if (get('idLPA') !== ""):
		       $codRegistro=0;
	           $codRegistro=get('idLPA');
	           if($codRegistro>0):
	             //echo("entrando no deletar<br>");  
	             //echo("entrando no deletar $codRegistro<br>");  
	       		 $sql="delete from listapatogenosamostra where lpa_id=".$codRegistro;
			     $userNota = new generica();
			     $userNota->campos_valores = $sql;				 
				 $userNota->inserirEspecial($userNota);	
	             printMSG('Registro deletado!','erro');
				 unset($_GET);
				 unset($_POST);
			   endif;	 
		   endif;//fecha o isstet do deletar		
	  endif;//fehca o isset bt salvar

 
  

	 
	 		
			//captura os dados da amostra
			$userAmostra = new amostras();
			$userAmostra->extras_select =  " where fic_id=".$amostraLong;  //fucnciona perfeito
			$userAmostra->selecionaCampos($userAmostra);
			while ($resAmostra = $userAmostra->retornaDados()):
			    $amostraLong=$resAmostra->fic_id;
			    $idCultivar=$resAmostra->fic_cultivar;
			    $idProdutor=$resAmostra->fic_produtor;
			    $ultima=$resAmostra->fic_amostra;
				if($finalidade=='DEFINITIVA'):
			       $amostra=$resAmostra->fic_amostra;
				else:
			       $amostra=$resAmostra->fic_amostra_previa;
				endif; 
				$lote=$resAmostra->fic_lote;
			endwhile;		
			echo '<h2>Registrar patógenos na amostra:'. $amostra.  ' Espécie:'. $especie. '</h2>';
 
//vai mostrar a lista de patogenos ja existente ##########################
       loadCSS('data-table',NULL,TRUE);
        loadJS('jquery-datatable');        
		?>
        <script type="text/javascript">
            $(document).ready(function(){
               $("#listausers").dataTable({
                "oLanguage": {
                    "sZeroRecords": "Nenhum patógeno lançado, para exibição",
                    "sInfo": "Mostrando _START_ a _END_ de _TOTAL_ de registros",
                    "sInfoEmpty": "Nenhum registro para ser exibido",
                    "sInfoFiltered": "(filtrado de _MAX_ registros no total)",
                    "sSearch": "Pesquisar",
                },
                "sScrollY": "200px",
                "sScrollX": "400px",
                "bPaginate": false,
                "aaSorting": [[0]] 
               }); 
            });
		
        </script>
        <table cellspacing="0" cellpadding="0" border="0" class="display" id="listausers">
            <thead>
                <tr>
 	               <th>Patogógeno</th><th>Valor</th>
                </tr>
            </thead>
            <tbody>
            <?php 
			
	
	        //ENTRA DE QUAKQUER MANEIRA para achar o ultimo
			$generica=new tabelagenerica();
			$generica->tabela="listapatogenosamostra,listapatogenos";
			$generica->campos_valores = array(
					"lip_nome_cientifico" => NULL,
					"lpa_valor" => NULL,
					"lpa_id" => NULL,
				);
			$generica->extras_select ="  where lpa_id_patogeno=lip_id and lpa_id_amostra=".$amostraLong." order by lpa_id";
		    $generica->selecionaCampos($generica);
            $contador=0;  
			while ($resgenerica = $generica->retornaDados()):
				echo '<tr>';
 			    printf('<td>%s',$resgenerica->lip_nome_cientifico);
	            printf('<a href="?m=patologia&t=editar&idLPA=%s" title="Excluir"><img src="images/delete.png" alt="Excluir" /></a>
				</td>',$resgenerica->lpa_id);
				printf('<td>%s</td>',$resgenerica->lpa_valor);
	
				echo '</tr>';
            endwhile;
			?>
           </tbody>
        </table>
		<br>
	  <?php
//final da tabela de patogenos na amostras############################	 
	?>
	                 
    <form class="userform" method="POST" action="">
	<input type="hidden" name="reanLong" value=<?php echo $reanLong ?> size=5 />
	</td>
Orientação:No laudo aparecerão os "patogenos" na ordem informada. Informe por último as bactérias e outros.<br>:
Clique no no link X para deletar.<br>:
Lista de patógenos que atacam esta espécie cultivada<br>:

	                 <table border="1" cellspacing="1" align="center" width="600">
&nbsp;
				
	                    <tr>
                        <td>
						<select name="patogeno" value="">  
                        <option>Selecione o patógeno</option> 
					    <?php
					    for($i=1;$i<=$contaPatogenos;$i++):
                           echo "<option>".$vetorPatogenos[$i]."</option>"; 
                        endfor;
					    ?> 
					    </select>
						Quantidade lida:<input type="text" name="valor" value="<?php echo $vetor[7]?>" size="3" />
					    <input type="submit" name="bt_salvar" value="Salvar" />
						</td>					
 
                        
						 
						 </tr>
                         <table bgcolor="#88e6af">
                         <tr>
                         <td>
                         Objetivo da análise: 
                         <select name="objetivoAnalise" value="">  
                         <option>Ensaio de pesquisa</option> 
                         <option>Trabalho interno</option> 
                         <option>Teste de validação</option> 
                         <option>Detecção de incidência de patógenos em semente</option> 
					    </select>
                         Método utilizado: 
                         <select name="metodoUtilizado" value="">  
                         <option>Plaqueamento de 400 sementes</option> 
                         <option>xxxxxxxxxxxxxxxxxxxxxxxxxxx</option> 
                         <option>yyyyyyyyyyyyyyyyyyyyyyyyyyy</option> 
                         <option>zzzzzzzzzzzzzzzzzzzzzzzzzzz</option> 
					    </select>
						<input type="submit" name="bt_laudo" value="Imprime laudo" />
						 </td>
						 </tr>
						 </table>

                         <table bgcolor="#b0eecb">
                         <tr>
                         <td>
                         Observação: <input type="text" name="obs1" value="<?php echo $obs1;?>" size="100" />
                         </td> 
                         </tr>
                         <tr>
                         <td>
                         Observação: <input type="text" name="obs2" value="<?php echo $obs2;?>" size="100" />
                         </td> 
                         </tr>
                         <tr>
                         <td>
                         Observação: <input type="text" name="obs3" value="<?php echo $obs3;?>" size="100" />
                         </td> 
                         </tr>



                         </table>

	
	
	<!--repeticao de 9 a 16-->
	

                    </table>
					
				<!--//////////navegador/////////-->
	
        <table  bgcolor="#2bc86d">
		<tr>
					<tr>
				    <td>
					Localizador de amostra:
					<td> <b> <input type="text" size="3"  maxlength="5" name="amostra" value="<?php echo $amostra; ?>" /></b></td>
				    <td><input type="submit" name="acharDigitada" value="<--Achar" />
					<input type="submit" name="acharRecua" value="<" />
					<input type="submit" name="acharAvanca" value=">" />
					<input type="submit" name="acharUltima" value=">|" />
        </tr> 
		</table>           
			
					
					
					
					
					
					
					
       <?php 		 
    break;






	default:
		  echo '<p>A tela solicitada não existe.</p>';
		break;
endswitch;
?>